Transactions
Retrieve details for a specific transaction by it’s id
or any other required query parameter, or list all transactions related to the merchant account.
Refund a transaction
Refunds an identified transaction either in full or partially.
payments Path Parameters
- txn_id string required
Unique ID of the transaction.
Body Parameters
- amount number
Amount to be refunded. Eligible amount can't exceed the amount of the transaction and varies based on country and currency. If you do not specify a value, the system performs a full refund of the transaction.
curl https://api.sumup.com/v0.1/me/refund/{txn_id} \ -X POST \ -H "Authorization: Bearer $SUMUP_API_KEY" \ --json '{}'import SumUp from '@sumup/sdk';
const client = new SumUp();
const result = await client.transactions.refund("txn_id", {
});using SumUp;
var client = new SumUpClient();
var result = await client.Transactions.RefundAsync( "txn_id", new RefundTransactionBody {
});import com.sumup.sdk.SumUpClient;
SumUpClient client = SumUpClient.builder().build();
var result = client.transactions().refundTransaction( "txn_id", RefundTransactionBody.builder()
.build());from sumup import Sumup
client = Sumup()
result = client.transactions.refund("txn_id", RefundTransactionBody(
))$sumup = new \SumUp\SumUp();
$result = $sumup->transactions->refund('txn_id', [
]);client := sumup.NewClient()
result, err := client.Transactions.Refund(context.Background(), "txn_id", sumup.TransactionsRefundParams{
})use sumup::Client;
let client = Client::default();
let result = client.transactions().refund("txn_id", sumup::RefundTransactionBody{}).await;Retrieve a transaction
Retrieves the full details of an identified transaction. The transaction resource is identified by a query parameter and one of following parameters is required:
idinternal_idtransaction_codeforeign_transaction_idclient_transaction_id
transactions.history Path Parameters
- merchant_code string requiredExample:
"MH4H92C7"
Query Parameters
- id string
Retrieves the transaction resource with the specified transaction ID (the
idparameter in the transaction resource). - internal_id string
Retrieves the transaction resource with the specified internal transaction ID (the
internal_idparameter in the transaction resource). - transaction_code string
Retrieves the transaction resource with the specified transaction code.
- foreign_transaction_id string
External/foreign transaction id (passed by clients).
- client_transaction_id string
Client transaction id.
Response 200
- id string
Unique ID of the transaction.
Example:"6b425463-3e1b-431d-83fa-1e51c2925e99" - transaction_code string
Transaction code returned by the acquirer/processing entity after processing the transaction.
Example:"TEENSK4W2K" - amount number
Total amount of the transaction.
Example:10.1 - currency string
Three-letter ISO4217 code of the currency for the amount. Currently supported currency values are enumerated above.
Example:"EUR" - timestamp string date-time
Date and time of the creation of the transaction. Response format expressed according to ISO8601 code.
Example:"2020-02-29T10:56:56.876Z" - status stringOptions:
SUCCESSFULCANCELLEDFAILEDPENDINGCurrent status of the transaction.
- payment_type string
Payment type used for the transaction.
- installments_count integer minimum: 1
Current number of the installment for deferred payments.
- merchant_code string
Unique code of the registered merchant to whom the payment is made.
Example:"MH4H92C7" - vat_amount number
Amount of the applicable VAT (out of the total transaction amount).
Example:6 - tip_amount number
Amount of the tip (out of the total transaction amount).
Example:3 - entry_mode string
Entry mode of the payment details.
- auth_code string
Authorization code for the transaction sent by the payment card issuer or bank. Applicable only to card payments.
Example:"053201" - internal_id integer
Internal unique ID of the transaction on the SumUp platform.
Example:1763892018 - product_summary string
Short description of the payment. The value is taken from the
descriptionproperty of the related checkout resource. - payouts_total integer
Total number of payouts to the registered user specified in the
userproperty. - payouts_received integer
Number of payouts that are made to the registered user specified in the
userproperty. - payout_plan stringOptions:
SINGLE_PAYMENTTRUE_INSTALLMENTACCELERATED_INSTALLMENTPayout plan of the registered user at the time when the transaction was made.
- foreign_transaction_id string
External/foreign transaction id (passed by clients).
Example:"J13253253x1" - client_transaction_id string
Client transaction id.
Example:"urn:sumup:pos:sale:MNKKNGST:1D4E3B2D-111D-48D7-9AF0-832DAEF63DD7;2" - username string email
Email address of the registered user (merchant) to whom the payment is made.
- fee_amount number
Transaction SumUp total fee amount.
Example:8 - lat number minimum: 0maximum: 90
Latitude value from the coordinates of the payment location (as received from the payment terminal reader).
- lon number minimum: 0maximum: 180
Longitude value from the coordinates of the payment location (as received from the payment terminal reader).
- horizontal_accuracy number
Indication of the precision of the geographical position received from the payment terminal.
- merchant_id integer
SumUp merchant internal Id.
Example:136902 - device_info objectCloseAttributes
- name string
Device name.
Example:"m0xx" - system_name string
Device OS.
Example:"Android" - model string
Device model.
Example:"GT-I9300" - system_version string
Device OS version.
Example:"4.3" - uuid string
Device UUID.
Example:"3ae2a6b7-fb0d-3b50-adbf-cb7e2db30cd2"
-
- simple_payment_type stringOptions:
CASHCC_SIGNATUREELVELV_WITHOUT_SIGNATURECC_CUSTOMER_ENTEREDMANUAL_ENTRYEMVRECURRINGBALANCEMOTOBOLETOAPMBITCOINCARDSimple name of the payment type.
- verification_method stringOptions:
nonesignatureoffline PINonline PINoffline PIN + signaturenaVerification method used for the transaction.
- card object
Details of the payment card.
CloseAttributes- last_4_digits string min length: 4max length: 4read only
Last 4 digits of the payment card number.
Example:"3456" - type string
Issuing card network of the payment card used for the transaction.
-
- elv_account objectCloseAttributes
- sort_code string
ELV card sort code.
Example:"87096214" - last_4_digits string
ELV card account number last 4 digits.
Example:"5674" - sequence_no integer
ELV card sequence number.
Example:1 - iban string
ELV IBAN.
Example:"DE60870962140012345674"
-
- local_time string date-time
Local date and time of the creation of the transaction.
- payout_date string date
The date of the payout.
Example:"2019-08-28" - payout_type stringOptions:
BANK_ACCOUNTPREPAID_CARDPayout type for the transaction.
- process_as stringOptions:
CREDITDEBITDebit/Credit.
Example:"CREDIT" - products []object
List of products from the merchant's catalogue for which the transaction serves as a payment.
CloseAttributes- name string
Product name.
Example:"Purchase reader for merchant with code ME3FCAVF" - price_label string
Product description.
- price number
Product price.
Example:100 - vat_rate number
VAT percentage.
- single_vat_amount number
VAT amount for a single product.
- price_with_vat number
Product price incl. VAT.
- vat_amount number
VAT amount.
- quantity integer
Product quantity.
Example:1 - total_price number
Quantity x product price.
Example:100 - total_with_vat number
Total price incl. VAT.
-
- vat_rates []object
List of VAT rates applicable to the transaction.
CloseAttributes- rate number
VAT rate.
Example:0.045 - net number
NET amount of products having this VAT rate applied.
Example:1.36 - vat number
VAT amount of this rate applied.
Example:0.06 - gross number
Gross amount of products having this VAT rate applied.
Example:1.42
-
- transaction_events []object
List of transaction events related to the transaction.
CloseAttributes- id integer
Unique ID of the transaction event.
- event_type string
Type of the transaction event.
- status string
Status of the transaction event.
- amount number
Amount of the event.
Example:58.8 - due_date string date
Date when the transaction event is due to occur.
Example:"2020-05-25" - date string date
Date when the transaction event occurred.
Example:"2020-05-25" - installment_number integer
Consecutive number of the installment that is paid. Applicable only payout events, i.e.
event_type = PAYOUT.Example:1 - timestamp string date-time
Date and time of the transaction event.
Example:"2020-05-25T10:49:42.784Z"
-
- simple_status stringOptions:
SUCCESSFULPAID_OUTCANCEL_FAILEDCANCELLEDCHARGEBACKFAILEDREFUND_FAILEDREFUNDEDNON_COLLECTIONPENDINGStatus generated from the processing status and the latest transaction state.
- links []object
List of hyperlinks for accessing related resources.
CloseAttributes- rel string
Specifies the relation to the current resource.
- href string uri
URL for accessing the related resource.
- type string
Specifies the media type of the related resource.
-
- events []object
List of events related to the transaction.
CloseAttributes- id integer
Unique ID of the transaction event.
- transaction_id string
Unique ID of the transaction.
- type string
Type of the transaction event.
- status string
Status of the transaction event.
- amount number
Amount of the event.
- timestamp string date-time
Date and time of the transaction event.
- fee_amount number
Amount of the fee related to the event.
- installment_number integer
Consecutive number of the installment.
- deducted_amount number
Amount deducted for the event.
- deducted_fee_amount number
Amount of the fee deducted for the event.
-
- location object
Details of the payment location as received from the payment terminal.
CloseAttributes- lat number minimum: 0maximum: 90
Latitude value from the coordinates of the payment location (as received from the payment terminal reader).
- lon number minimum: 0maximum: 180
Longitude value from the coordinates of the payment location (as received from the payment terminal reader).
- horizontal_accuracy number
Indication of the precision of the geographical position received from the payment terminal.
-
- tax_enabled boolean
Indicates whether tax deduction is enabled for the transaction.
curl https://api.sumup.com/v2.1/merchants/{merchant_code}/transactions \ -X GET \ -H "Authorization: Bearer $SUMUP_API_KEY"import SumUp from '@sumup/sdk';
const client = new SumUp();
const result = await client.transactions.get("MH4H92C7");using SumUp;
var client = new SumUpClient();
var result = await client.Transactions.GetAsync( "MH4H92C7");import com.sumup.sdk.SumUpClient;
SumUpClient client = SumUpClient.builder().build();
var result = client.transactions().getTransactionV2_1( "MH4H92C7");from sumup import Sumup
client = Sumup()
result = client.transactions.get("MH4H92C7")$sumup = new \SumUp\SumUp();
$result = $sumup->transactions->get('MH4H92C7');client := sumup.NewClient()
result, err := client.Transactions.Get(context.Background(), "MH4H92C7")use sumup::Client;
let client = Client::default();
let result = client.transactions().get("MH4H92C7", sumup::GetTransactionV2_1Params{ id: Some("id".to_string()), internal_id: Some("internal_id".to_string()), transaction_code: Some("transaction_code".to_string()), foreign_transaction_id: Some("foreign_transaction_id".to_string()), client_transaction_id: Some("client_transaction_id".to_string()),}).await;{ "id": "6b425463-3e1b-431d-83fa-1e51c2925e99", "transaction_code": "TEENSK4W2K", "amount": 10.1, "currency": "EUR", "timestamp": "2020-02-29T10:56:56.876Z", "status": null, "payment_type": null, "installments_count": null, "merchant_code": "MH4H92C7", "vat_amount": 6, "tip_amount": 3, "entry_mode": null, "auth_code": "053201", "internal_id": 1763892018, "product_summary": null, "payouts_total": null, "payouts_received": null, "payout_plan": null, "foreign_transaction_id": "J13253253x1", "client_transaction_id": "urn:sumup:pos:sale:MNKKNGST:1D4E3B2D-111D-48D7-9AF0-832DAEF63DD7;2", "username": null, "fee_amount": 8, "lat": null, "lon": null, "horizontal_accuracy": null, "merchant_id": 136902, "device_info": { "name": "m0xx", "system_name": "Android", "model": "GT-I9300", "system_version": "4.3", "uuid": "3ae2a6b7-fb0d-3b50-adbf-cb7e2db30cd2" }, "simple_payment_type": null, "verification_method": null, "card": { "last_4_digits": "3456", "type": null }, "elv_account": { "sort_code": "87096214", "last_4_digits": "5674", "sequence_no": 1, "iban": "DE60870962140012345674" }, "local_time": null, "payout_date": "2019-08-28", "payout_type": null, "process_as": "CREDIT", "products": [ { "name": "Purchase reader for merchant with code ME3FCAVF", "price_label": null, "price": 100, "vat_rate": null, "single_vat_amount": null, "price_with_vat": null, "vat_amount": null, "quantity": 1, "total_price": 100, "total_with_vat": null } ], "vat_rates": [ { "rate": 0.045, "net": 1.36, "vat": 0.06, "gross": 1.42 } ], "transaction_events": [ { "id": null, "event_type": null, "status": null, "amount": 58.8, "due_date": "2020-05-25", "date": "2020-05-25", "installment_number": 1, "timestamp": "2020-05-25T10:49:42.784Z" } ], "simple_status": null, "links": [ { "rel": null, "href": null, "type": null } ], "events": [ { "id": null, "transaction_id": null, "type": null, "status": null, "amount": null, "timestamp": null, "fee_amount": null, "installment_number": null, "deducted_amount": null, "deducted_fee_amount": null } ], "location": { "lat": null, "lon": null, "horizontal_accuracy": null }, "tax_enabled": null}List transactions
Lists detailed history of all transactions associated with the merchant profile.
transactions.history Path Parameters
- merchant_code string requiredExample:
"MH4H92C7"
Query Parameters
- transaction_code string
Retrieves the transaction resource with the specified transaction code.
- order string default: ascendingOptions:
ascendingdescendingSpecifies the order in which the returned results are displayed.
- limit integer
Specifies the maximum number of results per page. Value must be a positive integer and if not specified, will return 10 results.
- users []string
Filters the returned results by user email.
- statuses []stringOptions:
SUCCESSFULCANCELLEDFAILEDREFUNDEDCHARGE_BACKFilters the returned results by the specified list of final statuses of the transactions.
- payment_types []stringOptions:
CASHPOSECOMRECURRINGBITCOINBALANCEMOTOBOLETODIRECT_DEBITAPMUNKNOWNFilters the returned results by the specified list of payment types used for the transactions.
- entry_modes[] []stringOptions:
BOLETOSOFORTIDEALBANCONTACTEPSMYBANKSATISPAYBLIKP24GIROPAYPIXQR_CODE_PIXAPPLE_PAYGOOGLE_PAYPAYPALNONECHIPMANUAL_ENTRYCUSTOMER_ENTRYMAGSTRIPE_FALLBACKMAGSTRIPEDIRECT_DEBITCONTACTLESSMOTOCONTACTLESS_MAGSTRIPEN/AFilters the returned results by the specified list of entry modes.
- types []stringOptions:
PAYMENTREFUNDCHARGE_BACKFilters the returned results by the specified list of transaction types.
- changes_since string date-time
Filters the results by the latest modification time of resources and returns only transactions that are modified at or after the specified timestamp (in ISO8601 format).
- newest_time string date-time
Filters the results by the creation time of resources and returns only transactions that are created before the specified timestamp (in ISO8601 format).
- newest_ref string
Filters the results by the reference ID of transaction events and returns only transactions with events whose IDs are smaller than the specified value. This parameters supersedes the
newest_timeparameter (if both are provided in the request). - oldest_time string date-time
Filters the results by the creation time of resources and returns only transactions that are created at or after the specified timestamp (in ISO8601 format).
- oldest_ref string
Filters the results by the reference ID of transaction events and returns only transactions with events whose IDs are greater than the specified value. This parameters supersedes the
oldest_timeparameter (if both are provided in the request).
Response 200
- items []objectCloseAttributes
- id string
Unique ID of the transaction.
Example:"6b425463-3e1b-431d-83fa-1e51c2925e99" - transaction_code string
Transaction code returned by the acquirer/processing entity after processing the transaction.
Example:"TEENSK4W2K" - amount number
Total amount of the transaction.
Example:10.1 - currency string
Three-letter ISO4217 code of the currency for the amount. Currently supported currency values are enumerated above.
Example:"EUR" - timestamp string date-time
Date and time of the creation of the transaction. Response format expressed according to ISO8601 code.
Example:"2020-02-29T10:56:56.876Z" - status stringOptions:
SUCCESSFULCANCELLEDFAILEDPENDINGCurrent status of the transaction.
- payment_type string
Payment type used for the transaction.
- installments_count integer minimum: 1
Current number of the installment for deferred payments.
- product_summary string
Short description of the payment. The value is taken from the
descriptionproperty of the related checkout resource. - payouts_total integer
Total number of payouts to the registered user specified in the
userproperty. - payouts_received integer
Number of payouts that are made to the registered user specified in the
userproperty. - payout_plan stringOptions:
SINGLE_PAYMENTTRUE_INSTALLMENTACCELERATED_INSTALLMENTPayout plan of the registered user at the time when the transaction was made.
- transaction_id string
Unique ID of the transaction.
- client_transaction_id string
Client-specific ID of the transaction.
- user string email
Email address of the registered user (merchant) to whom the payment is made.
- type stringOptions:
PAYMENTREFUNDCHARGE_BACKType of the transaction for the registered user specified in the
userproperty. - card_type string
Issuing card network of the payment card used for the transaction.
- payout_date string date
Payout date (if paid out at once).
Example:"2019-08-28" - payout_type stringOptions:
BANK_ACCOUNTPREPAID_CARDPayout type.
Example:"BANK_ACCOUNT" - refunded_amount number0
Total refunded amount.
-
- links []objectCloseAttributes
- rel string required
Relation.
Example:"next" - href string required
Location.
Example:"limit=10&oldest_ref=090df9bf-93b7-40f1-8181-fbdb236568a1&order=ascending"
-
curl https://api.sumup.com/v2.1/merchants/{merchant_code}/transactions/history \ -X GET \ -H "Authorization: Bearer $SUMUP_API_KEY"import SumUp from '@sumup/sdk';
const client = new SumUp();
const result = await client.transactions.list("MH4H92C7");using SumUp;
var client = new SumUpClient();
var result = await client.Transactions.ListAsync( "MH4H92C7");import com.sumup.sdk.SumUpClient;
SumUpClient client = SumUpClient.builder().build();
var result = client.transactions().listTransactionsV2_1( "MH4H92C7");from sumup import Sumup
client = Sumup()
result = client.transactions.list("MH4H92C7")$sumup = new \SumUp\SumUp();
$result = $sumup->transactions->list('MH4H92C7');client := sumup.NewClient()
result, err := client.Transactions.List(context.Background(), "MH4H92C7")use sumup::Client;
let client = Client::default();
let result = client.transactions().list("MH4H92C7", sumup::ListTransactionsV2_1Params{ transaction_code: Some("transaction_code".to_string()), order: Some("order".to_string()), limit: Some("limit".to_string()), users: Some("users".to_string()), statuses: Some("statuses".to_string()), payment_types: Some("payment_types".to_string()), entry_modes: Some("entry_modes[]".to_string()), types: Some("types".to_string()), changes_since: Some("changes_since".to_string()), newest_time: Some("newest_time".to_string()), newest_ref: Some("newest_ref".to_string()), oldest_time: Some("oldest_time".to_string()), oldest_ref: Some("oldest_ref".to_string()),}).await;{ "items": [ { "id": "6b425463-3e1b-431d-83fa-1e51c2925e99", "transaction_code": "TEENSK4W2K", "amount": 10.1, "currency": "EUR", "timestamp": "2020-02-29T10:56:56.876Z", "status": null, "payment_type": null, "installments_count": null, "product_summary": null, "payouts_total": null, "payouts_received": null, "payout_plan": null, "transaction_id": null, "client_transaction_id": null, "user": null, "type": null, "card_type": null, "payout_date": "2019-08-28", "payout_type": "BANK_ACCOUNT", "refunded_amount": null } ], "links": [ { "rel": "next", "href": "limit=10&oldest_ref=090df9bf-93b7-40f1-8181-fbdb236568a1&order=ascending" } ]}Retrieve a transactionDeprecated
Retrieves the full details of an identified transaction. The transaction resource is identified by a query parameter and one of following parameters is required:
idinternal_idtransaction_codeforeign_transaction_idclient_transaction_id
transactions.history Query Parameters
- id string
Retrieves the transaction resource with the specified transaction ID (the
idparameter in the transaction resource). - internal_id string
Retrieves the transaction resource with the specified internal transaction ID (the
internal_idparameter in the transaction resource). - transaction_code string
Retrieves the transaction resource with the specified transaction code.
Response 200
- id string
Unique ID of the transaction.
Example:"6b425463-3e1b-431d-83fa-1e51c2925e99" - transaction_code string
Transaction code returned by the acquirer/processing entity after processing the transaction.
Example:"TEENSK4W2K" - amount number
Total amount of the transaction.
Example:10.1 - currency string
Three-letter ISO4217 code of the currency for the amount. Currently supported currency values are enumerated above.
Example:"EUR" - timestamp string date-time
Date and time of the creation of the transaction. Response format expressed according to ISO8601 code.
Example:"2020-02-29T10:56:56.876Z" - status stringOptions:
SUCCESSFULCANCELLEDFAILEDPENDINGCurrent status of the transaction.
- payment_type string
Payment type used for the transaction.
- installments_count integer minimum: 1
Current number of the installment for deferred payments.
- merchant_code string
Unique code of the registered merchant to whom the payment is made.
Example:"MH4H92C7" - vat_amount number
Amount of the applicable VAT (out of the total transaction amount).
Example:6 - tip_amount number
Amount of the tip (out of the total transaction amount).
Example:3 - entry_mode string
Entry mode of the payment details.
- auth_code string
Authorization code for the transaction sent by the payment card issuer or bank. Applicable only to card payments.
Example:"053201" - internal_id integer
Internal unique ID of the transaction on the SumUp platform.
Example:1763892018 - product_summary string
Short description of the payment. The value is taken from the
descriptionproperty of the related checkout resource. - payouts_total integer
Total number of payouts to the registered user specified in the
userproperty. - payouts_received integer
Number of payouts that are made to the registered user specified in the
userproperty. - payout_plan stringOptions:
SINGLE_PAYMENTTRUE_INSTALLMENTACCELERATED_INSTALLMENTPayout plan of the registered user at the time when the transaction was made.
- foreign_transaction_id string
External/foreign transaction id (passed by clients).
Example:"J13253253x1" - client_transaction_id string
Client transaction id.
Example:"urn:sumup:pos:sale:MNKKNGST:1D4E3B2D-111D-48D7-9AF0-832DAEF63DD7;2" - username string email
Email address of the registered user (merchant) to whom the payment is made.
- fee_amount number
Transaction SumUp total fee amount.
Example:8 - lat number minimum: 0maximum: 90
Latitude value from the coordinates of the payment location (as received from the payment terminal reader).
- lon number minimum: 0maximum: 180
Longitude value from the coordinates of the payment location (as received from the payment terminal reader).
- horizontal_accuracy number
Indication of the precision of the geographical position received from the payment terminal.
- merchant_id integer
SumUp merchant internal Id.
Example:136902 - device_info objectCloseAttributes
- name string
Device name.
Example:"m0xx" - system_name string
Device OS.
Example:"Android" - model string
Device model.
Example:"GT-I9300" - system_version string
Device OS version.
Example:"4.3" - uuid string
Device UUID.
Example:"3ae2a6b7-fb0d-3b50-adbf-cb7e2db30cd2"
-
- simple_payment_type stringOptions:
CASHCC_SIGNATUREELVELV_WITHOUT_SIGNATURECC_CUSTOMER_ENTEREDMANUAL_ENTRYEMVRECURRINGBALANCEMOTOBOLETOAPMBITCOINCARDSimple name of the payment type.
- verification_method stringOptions:
nonesignatureoffline PINonline PINoffline PIN + signaturenaVerification method used for the transaction.
- card object
Details of the payment card.
CloseAttributes- last_4_digits string min length: 4max length: 4read only
Last 4 digits of the payment card number.
Example:"3456" - type string
Issuing card network of the payment card used for the transaction.
-
- elv_account objectCloseAttributes
- sort_code string
ELV card sort code.
Example:"87096214" - last_4_digits string
ELV card account number last 4 digits.
Example:"5674" - sequence_no integer
ELV card sequence number.
Example:1 - iban string
ELV IBAN.
Example:"DE60870962140012345674"
-
- local_time string date-time
Local date and time of the creation of the transaction.
- payout_date string date
The date of the payout.
Example:"2019-08-28" - payout_type stringOptions:
BANK_ACCOUNTPREPAID_CARDPayout type for the transaction.
- process_as stringOptions:
CREDITDEBITDebit/Credit.
Example:"CREDIT" - products []object
List of products from the merchant's catalogue for which the transaction serves as a payment.
CloseAttributes- name string
Product name.
Example:"Purchase reader for merchant with code ME3FCAVF" - price_label string
Product description.
- price number
Product price.
Example:100 - vat_rate number
VAT percentage.
- single_vat_amount number
VAT amount for a single product.
- price_with_vat number
Product price incl. VAT.
- vat_amount number
VAT amount.
- quantity integer
Product quantity.
Example:1 - total_price number
Quantity x product price.
Example:100 - total_with_vat number
Total price incl. VAT.
-
- vat_rates []object
List of VAT rates applicable to the transaction.
CloseAttributes- rate number
VAT rate.
Example:0.045 - net number
NET amount of products having this VAT rate applied.
Example:1.36 - vat number
VAT amount of this rate applied.
Example:0.06 - gross number
Gross amount of products having this VAT rate applied.
Example:1.42
-
- transaction_events []object
List of transaction events related to the transaction.
CloseAttributes- id integer
Unique ID of the transaction event.
- event_type string
Type of the transaction event.
- status string
Status of the transaction event.
- amount number
Amount of the event.
Example:58.8 - due_date string date
Date when the transaction event is due to occur.
Example:"2020-05-25" - date string date
Date when the transaction event occurred.
Example:"2020-05-25" - installment_number integer
Consecutive number of the installment that is paid. Applicable only payout events, i.e.
event_type = PAYOUT.Example:1 - timestamp string date-time
Date and time of the transaction event.
Example:"2020-05-25T10:49:42.784Z"
-
- simple_status stringOptions:
SUCCESSFULPAID_OUTCANCEL_FAILEDCANCELLEDCHARGEBACKFAILEDREFUND_FAILEDREFUNDEDNON_COLLECTIONPENDINGStatus generated from the processing status and the latest transaction state.
- links []object
List of hyperlinks for accessing related resources.
CloseAttributes- rel string
Specifies the relation to the current resource.
- href string uri
URL for accessing the related resource.
- type string
Specifies the media type of the related resource.
-
- events []object
List of events related to the transaction.
CloseAttributes- id integer
Unique ID of the transaction event.
- transaction_id string
Unique ID of the transaction.
- type string
Type of the transaction event.
- status string
Status of the transaction event.
- amount number
Amount of the event.
- timestamp string date-time
Date and time of the transaction event.
- fee_amount number
Amount of the fee related to the event.
- installment_number integer
Consecutive number of the installment.
- deducted_amount number
Amount deducted for the event.
- deducted_fee_amount number
Amount of the fee deducted for the event.
-
- location object
Details of the payment location as received from the payment terminal.
CloseAttributes- lat number minimum: 0maximum: 90
Latitude value from the coordinates of the payment location (as received from the payment terminal reader).
- lon number minimum: 0maximum: 180
Longitude value from the coordinates of the payment location (as received from the payment terminal reader).
- horizontal_accuracy number
Indication of the precision of the geographical position received from the payment terminal.
-
- tax_enabled boolean
Indicates whether tax deduction is enabled for the transaction.
curl https://api.sumup.com/v0.1/me/transactions \ -X GET \ -H "Authorization: Bearer $SUMUP_API_KEY"import SumUp from '@sumup/sdk';
const client = new SumUp();
const result = await client.transactions.getDeprecated();using SumUp;
var client = new SumUpClient();
var result = await client.Transactions.GetDeprecatedAsync();import com.sumup.sdk.SumUpClient;
SumUpClient client = SumUpClient.builder().build();
var result = client.transactions().getTransaction();from sumup import Sumup
client = Sumup()
result = client.transactions.get_deprecated()$sumup = new \SumUp\SumUp();
$result = $sumup->transactions->getDeprecated();client := sumup.NewClient()
result, err := client.Transactions.GetDeprecated(context.Background())use sumup::Client;
let client = Client::default();
let result = client.transactions().get_deprecated(sumup::GetTransactionParams{ id: Some("id".to_string()), internal_id: Some("internal_id".to_string()), transaction_code: Some("transaction_code".to_string()),}).await;{ "id": "6b425463-3e1b-431d-83fa-1e51c2925e99", "transaction_code": "TEENSK4W2K", "amount": 10.1, "currency": "EUR", "timestamp": "2020-02-29T10:56:56.876Z", "status": null, "payment_type": null, "installments_count": null, "merchant_code": "MH4H92C7", "vat_amount": 6, "tip_amount": 3, "entry_mode": null, "auth_code": "053201", "internal_id": 1763892018, "product_summary": null, "payouts_total": null, "payouts_received": null, "payout_plan": null, "foreign_transaction_id": "J13253253x1", "client_transaction_id": "urn:sumup:pos:sale:MNKKNGST:1D4E3B2D-111D-48D7-9AF0-832DAEF63DD7;2", "username": null, "fee_amount": 8, "lat": null, "lon": null, "horizontal_accuracy": null, "merchant_id": 136902, "device_info": { "name": "m0xx", "system_name": "Android", "model": "GT-I9300", "system_version": "4.3", "uuid": "3ae2a6b7-fb0d-3b50-adbf-cb7e2db30cd2" }, "simple_payment_type": null, "verification_method": null, "card": { "last_4_digits": "3456", "type": null }, "elv_account": { "sort_code": "87096214", "last_4_digits": "5674", "sequence_no": 1, "iban": "DE60870962140012345674" }, "local_time": null, "payout_date": "2019-08-28", "payout_type": null, "process_as": "CREDIT", "products": [ { "name": "Purchase reader for merchant with code ME3FCAVF", "price_label": null, "price": 100, "vat_rate": null, "single_vat_amount": null, "price_with_vat": null, "vat_amount": null, "quantity": 1, "total_price": 100, "total_with_vat": null } ], "vat_rates": [ { "rate": 0.045, "net": 1.36, "vat": 0.06, "gross": 1.42 } ], "transaction_events": [ { "id": null, "event_type": null, "status": null, "amount": 58.8, "due_date": "2020-05-25", "date": "2020-05-25", "installment_number": 1, "timestamp": "2020-05-25T10:49:42.784Z" } ], "simple_status": null, "links": [ { "rel": null, "href": null, "type": null } ], "events": [ { "id": null, "transaction_id": null, "type": null, "status": null, "amount": null, "timestamp": null, "fee_amount": null, "installment_number": null, "deducted_amount": null, "deducted_fee_amount": null } ], "location": { "lat": null, "lon": null, "horizontal_accuracy": null }, "tax_enabled": null}List transactionsDeprecated
Lists detailed history of all transactions associated with the merchant profile.
transactions.history Query Parameters
- transaction_code string
Retrieves the transaction resource with the specified transaction code.
- order string default: ascendingOptions:
ascendingdescendingSpecifies the order in which the returned results are displayed.
- limit integer
Specifies the maximum number of results per page. Value must be a positive integer and if not specified, will return 10 results.
- users []string
Filters the returned results by user email.
- statuses []stringOptions:
SUCCESSFULCANCELLEDFAILEDREFUNDEDCHARGE_BACKFilters the returned results by the specified list of final statuses of the transactions.
- payment_types []stringOptions:
CASHPOSECOMRECURRINGBITCOINBALANCEMOTOBOLETODIRECT_DEBITAPMUNKNOWNFilters the returned results by the specified list of payment types used for the transactions.
- types []stringOptions:
PAYMENTREFUNDCHARGE_BACKFilters the returned results by the specified list of transaction types.
- changes_since string date-time
Filters the results by the latest modification time of resources and returns only transactions that are modified at or after the specified timestamp (in ISO8601 format).
- newest_time string date-time
Filters the results by the creation time of resources and returns only transactions that are created before the specified timestamp (in ISO8601 format).
- newest_ref string
Filters the results by the reference ID of transaction events and returns only transactions with events whose IDs are smaller than the specified value. This parameters supersedes the
newest_timeparameter (if both are provided in the request). - oldest_time string date-time
Filters the results by the creation time of resources and returns only transactions that are created at or after the specified timestamp (in ISO8601 format).
- oldest_ref string
Filters the results by the reference ID of transaction events and returns only transactions with events whose IDs are greater than the specified value. This parameters supersedes the
oldest_timeparameter (if both are provided in the request).
Response 200
- items []objectCloseAttributes
- id string
Unique ID of the transaction.
Example:"6b425463-3e1b-431d-83fa-1e51c2925e99" - transaction_code string
Transaction code returned by the acquirer/processing entity after processing the transaction.
Example:"TEENSK4W2K" - amount number
Total amount of the transaction.
Example:10.1 - currency string
Three-letter ISO4217 code of the currency for the amount. Currently supported currency values are enumerated above.
Example:"EUR" - timestamp string date-time
Date and time of the creation of the transaction. Response format expressed according to ISO8601 code.
Example:"2020-02-29T10:56:56.876Z" - status stringOptions:
SUCCESSFULCANCELLEDFAILEDPENDINGCurrent status of the transaction.
- payment_type string
Payment type used for the transaction.
- installments_count integer minimum: 1
Current number of the installment for deferred payments.
- product_summary string
Short description of the payment. The value is taken from the
descriptionproperty of the related checkout resource. - payouts_total integer
Total number of payouts to the registered user specified in the
userproperty. - payouts_received integer
Number of payouts that are made to the registered user specified in the
userproperty. - payout_plan stringOptions:
SINGLE_PAYMENTTRUE_INSTALLMENTACCELERATED_INSTALLMENTPayout plan of the registered user at the time when the transaction was made.
- transaction_id string
Unique ID of the transaction.
- client_transaction_id string
Client-specific ID of the transaction.
- user string email
Email address of the registered user (merchant) to whom the payment is made.
- type stringOptions:
PAYMENTREFUNDCHARGE_BACKType of the transaction for the registered user specified in the
userproperty. - card_type string
Issuing card network of the payment card used for the transaction.
- payout_date string date
Payout date (if paid out at once).
Example:"2019-08-28" - payout_type stringOptions:
BANK_ACCOUNTPREPAID_CARDPayout type.
Example:"BANK_ACCOUNT" - refunded_amount number0
Total refunded amount.
-
- links []objectCloseAttributes
- rel string required
Relation.
Example:"next" - href string required
Location.
Example:"limit=10&oldest_ref=090df9bf-93b7-40f1-8181-fbdb236568a1&order=ascending"
-
curl https://api.sumup.com/v0.1/me/transactions/history \ -X GET \ -H "Authorization: Bearer $SUMUP_API_KEY"import SumUp from '@sumup/sdk';
const client = new SumUp();
const result = await client.transactions.listDeprecated();using SumUp;
var client = new SumUpClient();
var result = await client.Transactions.ListDeprecatedAsync();import com.sumup.sdk.SumUpClient;
SumUpClient client = SumUpClient.builder().build();
var result = client.transactions().listTransactions();from sumup import Sumup
client = Sumup()
result = client.transactions.list_deprecated()$sumup = new \SumUp\SumUp();
$result = $sumup->transactions->listDeprecated();client := sumup.NewClient()
result, err := client.Transactions.ListDeprecated(context.Background())use sumup::Client;
let client = Client::default();
let result = client.transactions().list_deprecated(sumup::ListTransactionsParams{ transaction_code: Some("transaction_code".to_string()), order: Some("order".to_string()), limit: Some("limit".to_string()), users: Some("users".to_string()), statuses: Some("statuses".to_string()), payment_types: Some("payment_types".to_string()), types: Some("types".to_string()), changes_since: Some("changes_since".to_string()), newest_time: Some("newest_time".to_string()), newest_ref: Some("newest_ref".to_string()), oldest_time: Some("oldest_time".to_string()), oldest_ref: Some("oldest_ref".to_string()),}).await;{ "items": [ { "id": "6b425463-3e1b-431d-83fa-1e51c2925e99", "transaction_code": "TEENSK4W2K", "amount": 10.1, "currency": "EUR", "timestamp": "2020-02-29T10:56:56.876Z", "status": null, "payment_type": null, "installments_count": null, "product_summary": null, "payouts_total": null, "payouts_received": null, "payout_plan": null, "transaction_id": null, "client_transaction_id": null, "user": null, "type": null, "card_type": null, "payout_date": "2019-08-28", "payout_type": "BANK_ACCOUNT", "refunded_amount": null } ], "links": [ { "rel": "next", "href": "limit=10&oldest_ref=090df9bf-93b7-40f1-8181-fbdb236568a1&order=ascending" } ]}